summaryrefslogtreecommitdiff
path: root/support/optexcount/install.sh
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2021-07-02 03:02:09 +0000
committerNorbert Preining <norbert@preining.info>2021-07-02 03:02:09 +0000
commitc4d400d058136a9045857b99d816595e7a655125 (patch)
treec94ed379e2025f98ef92962c8aedaaa4f207a96c /support/optexcount/install.sh
parentc840f97520ba98156a0ed525d6b5d05ab6a324f6 (diff)
CTAN sync 202107020302
Diffstat (limited to 'support/optexcount/install.sh')
-rwxr-xr-xsupport/optexcount/install.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/support/optexcount/install.sh b/support/optexcount/install.sh
new file mode 100755
index 0000000000..1e5f15507f
--- /dev/null
+++ b/support/optexcount/install.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+
+set -e
+cp src/optexcount.py src/__main__.py
+zip -j optexcount.zip src/*.py 1> /dev/null
+echo '#!/usr/bin/env python3' | cat - optexcount.zip > optexcount
+chmod +x optexcount
+rm optexcount.zip src/__main__.py
+mv optexcount /usr/bin/optexcount
+echo 'OpTeXcount successfully installed!' \ No newline at end of file